import setupUserLoginInfoGuard from './userLogin';
import type { Router,RouteLocationNormalized } from 'vue-router';

import { setRouteEmitter } from '@/utils/router-listen';

export default function setupRouterGuard(router: Router) {
  setupUserLoginInfoGuard(router);
  setRouteEmitter(router);
}
